
# Ada for Automation Registry
ARG A4A_REGISTRY=registry.gitlab.com/ada-for-automation/docker

# Basis image
ARG A4A_BASIS_IMG=a4a-x86-64-builder/x86-64-a4a-basis-dev:latest

# Use latest Ada for Automation Basis Development as base image
FROM $A4A_REGISTRY/$A4A_BASIS_IMG AS base

# Labeling
LABEL maintainer="slos@hilscher.com" \
      version="V0.0.4" \
      description="Debian (bookworm) / Ada for Automation Web Development"

# Version
ENV ADA_FOR_AUTOMATION_WEB_DEV_VERSION=0.0.4

# Install Gnoga and dependencies (Simple Components, ZanyBlue, ...)
RUN mkdir --parents /home/pi/Ada/Gnoga \
    && cd /home/pi/Ada/Gnoga \
    && git clone https://git.code.sf.net/p/gnoga/code code \
    && cd code \
    && git checkout dev_2.2 \
    && make BUILD_MODE=Release install

ENV GPR_PROJECT_PATH=/home/pi/Ada/Gnoga/code/inst_folder/share/gpr

# Build some Ada for Automation Web demo applications
RUN cd "/home/pi/Ada/A4A/demo/010 a4a_piano" && Arch=x86_64 make

# SSH port
EXPOSE 22

# The entrypoint shall start ssh
ENTRYPOINT ["/usr/sbin/sshd", "-D"]

# Set STOPSIGNAL
STOPSIGNAL SIGTERM


